#!/bin/sh

MSG="`which gxmessage`" || MSG=xmessage

if ! md5sum -c md5sum.txt
then
	$MSG -geometry 640x160 -center -title "voom Installer" "MD5SUM ERROR: voom has NOT been installed"
	exit 1
fi

FOO=/root/my-roxapps
[ -d $FOO ] || mkdir $FOO

if [ -d "$FOO/voom" ];then
	$MSG -buttons "UnInstall:21,ReInstall:22,Quit" -geometry 640x160 -center -title "voom Installer" "$FOO/voom is already installed"
	case $? in
		21)
			rm -rf "$FOO/voom"
			$MSG -geometry 640x160 -center -title "voom Installer" "voom has been uninstalled"
			exit
		 ;;
		22) true ;;
		*) exit ;;
	esac
fi

rm -rf $FOO/voom/
mv voom/ $FOO/voom/
rox $FOO &

$MSG -geometry 640x160 -center -title "voom Installer" "voom has been installed"
